Deployments.ai Docs
Evaluations

List annotations for a trace

GET /v1/traces/{traceId}/annotations · SDK listTraceAnnotations · CLI deployments eval annotation list

GET
/v1/traces/{traceId}/annotations

Requires observability:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

traceId*string

W3C trace ID (32 lowercase hex characters).

Match^[a-f0-9]{32}$

Query Parameters

cursor?string
Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListAnnotationsResponse

application/json
  1. response
items*array<>
nextCursor?string|null
curl -X GET "https://example.com/v1/traces/string/annotations" \  -H "x-deployments-organization: string" \  -H "x-deployments-project: string" \  -H "x-deployments-environment: string"
{  "items": [    {      "authorPrincipalId": "string",      "body": "string",      "createdAt": "2019-08-24T14:15:22Z",      "id": "string",      "label": "string",      "runId": "string",      "spanId": "string",      "tags": [        "string"      ],      "traceId": "string"    }  ],  "nextCursor": "string"}